function registerTFAbortButton(obj, butt)
    butt.ButtonPushedFcn = @(src, evt)(buttonPushedCallback( ...
        obj.ndTFNewFilaPts, obj.ndExtrFilaPts.value, ...
        src, evt));

    comg.Node.output("Enable TF-Abort-Button",...
            @(fila_engine, stat_free, stat_foc)(enableComponent(butt, fila_engine, stat_free, stat_foc)), ...
            obj.ndFilaEngn, obj.ndStatTFFree, obj.ndStatTFFoc ...
        ).activate();
end

function enableComponent(component, fila_engine, stat_free, stat_foc)
    flag_enable = fila_engine.inFilamentTuningMode();
    flag_enable = flag_enable && (stat_free || stat_foc);

    component.Enable = flag_enable;
end

function buttonPushedCallback(ndTFNewFilaPts, extr_fila_pts, src, evt)
    fprintf("TF Abort button pushed.\n");
    
    ndTFNewFilaPts.updateValue(extr_fila_pts);
end



