function registerTFRmvptButton(obj, butt)
    butt.ButtonPushedFcn = @(src, evt)(buttonPushedCallback( ...
        obj.ndTFNewFilaPts, obj.ndTFFocPtInd, ...
        src, evt, obj));
    
    comg.Node.output("Enable TF-Remove-Point-Button",...
            @(fila_engine, stat_foc)(enableComponent(butt, fila_engine, stat_foc)), ...
            obj.ndFilaEngn, obj.ndStatTFFoc ...
        ).activate();
end

function enableComponent(component, fila_engine, stat_foc)
    flag_enable = fila_engine.inFilamentTuningMode();
    flag_enable = flag_enable && stat_foc;

    component.Enable = flag_enable;
end

function buttonPushedCallback(ndTFNewFilaPts, ndTFFocPtInd, src, evt, obj)
    fprintf("TF Rmv Point button pushed.\n");

    newpts = ndTFNewFilaPts.value;
    ind = ndTFFocPtInd.value;
    newpts(:, ind) = [];
    newind = max(1, min(size(newpts, 2), ind));

    obj.focusOnFilaPoint(newind);
    ndTFNewFilaPts.updateValue(newpts);
    
end

