function registerTFSurfFiltAngMeanSpin(obj, spin)
    spin.ValueChangedFcn = @(src, evt)(valueChangedCallback(obj.ndFiltSurfAngMean, src, evt));

    comg.Node.output("", ...
            @(val)(setSpinValue(spin, val)), ...
            obj.ndFiltSurfAngMean ...
        ).activate();
    
end

function setSpinValue(spin, val)
    spin.Value = val;
end

function valueChangedCallback(nd, src, evt)
    nd.updateValue(evt.Value);
end

