function exa = arrayexpand(a, shape)
    
    if isvector(a) && (length(shape) == 2) && any(shape==1)
        if isscalar(a)
            exa = repmat(a, shape);
        else
            exa = reshape(a, shape);
        end
        return
    end

    sa = [size(a), ones(1,length(shape)-ndims(a))];
    if all((sa==1)|(sa==shape))
        exa = repmat(a,shape./sa);
    end
    
end