function filaSecClickedCallback(obj, src, evt)

%%%%%%%%%%%%%%%%%%%%%%%%%% for debug %%%%%%%%%%%%%%%%%%%%%%%%%%

%     fprintf("Clicking at filament section. The coordinate is [%.2f, %.2f, %.2f].\n",...
%         evt.IntersectionPoint(1), evt.IntersectionPoint(2), evt.IntersectionPoint(3));

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

    upder = [];
    upder = obj.ndTFCurrPt.updateValue([evt.IntersectionPoint(2);evt.IntersectionPoint(1);obj.ndFilaSecInd.value-1], upder);
    obj.ndTFCurrPtSpc.updateValue(obj.space_cylin, upder);

    upder = [];
    if obj.ndFilaEngn.value.inFilamentTuningMode()
        if obj.ndStatTFAdd.value
            [newpts, insert_ind] = helix.addPointToFilament(obj.ndTFCurrPtEul.value, obj.ndTFNewFilaPts.value);
            obj.ndTFNewFilaPts.updateValue(newpts, upder);
            obj.focusOnFilaPoint(insert_ind);
        elseif obj.ndStatTFMov.value
            newpts = obj.ndTFNewFilaPts.value;
            newpts(:, obj.ndTFFocPtInd.value) = obj.ndTFCurrPtEul.value;
            obj.ndTFNewFilaPts.updateValue(newpts, upder);
            obj.focusOnFilaPoint(obj.ndTFFocPtInd.value);
        else
            upder = obj.ndTFStat.updateValue(obj.tf_stat_free);
            obj.ndTFFocPtInd.updateValue([], upder);
        end
    end

end
