function registerAccFilaButton(obj, butt)
    butt.ButtonPushedFcn = @(src, evt)(buttonPushedCallback(obj.ndFilaEngn, src, evt));
    
    comg.Node.output("Enable Accept-Filament-Creating-Button",...
            @(fila_engine)(enableComponent(butt, fila_engine)), ...
            obj.ndFilaEngn ...
        ).activate();
end

function enableComponent(component, fila_engine)
    flag_enable = fila_engine.inFilamentCreatingMode();
    component.Enable = flag_enable;
end

function buttonPushedCallback(ndFilaEngn, src, evt)
    fprintf("Acc Filament button pushed.\n");
    ndFilaEngn.value.exitFilamentCreatingMode(true);
    ndFilaEngn.update();
end
