function registerFlipContButton(obj, butt)
    butt.ValueChangedFcn = @(src, evt)(valueChangedCallback( ...
        obj.ndStatFlipContrast, src, evt));
    
%     comg.Node.output("Enable Flip-Contrast-Button",...
%             @(fila_engine)(enableComponent(butt, fila_engine)), ...
%             obj.ndFilaEngn ...
%         ).activate();

    comg.Node.output("Set Flip Contrast Flag", ...
            @(val)(setSpinValue(butt, val)), ...
            obj.ndStatFlipContrast ...
        ).activate();
    
end

function setSpinValue(butt, val)
    butt.Value = val;
end

% function enableComponent(component, fila_engine)
%     flag_enable = fila_engine.inFilamentTuningMode();
%     component.Enable = flag_enable;
% end

function valueChangedCallback(ndStatFlipContrast, src, evt)
    fprintf('Flip Contrast value changed to %d.\n', evt.Value);

    ndStatFlipContrast.updateValue(evt.Value);
end



