function registerLoadTomoButton(obj, butt)
    butt.ButtonPushedFcn = @(src, evt)(buttonPushedCallback( ...
        src, evt, obj));

    comg.Node.output("Enable Load Tomogram Button",...
            @(fila_engine)(enableComponent(butt, fila_engine)), ...
            obj.ndFilaEngn ...
        ).activate();
end

function enableComponent(component, fila_engine)
    flag_enable = isempty(fila_engine) || ~fila_engine.inFilamentTuningMode();
    component.Enable = flag_enable;
end

function buttonPushedCallback(src, evt, obj)
    fprintf("Load Tomogram.\n");

    [filename, pathname] = uigetfile('*.mrc', 'Tomogram');
    if filename
        [tomo_vol, ~] = readmrc([pathname, filename]);
        obj.loadTomogramData(single(tomo_vol));
    end
end
