function registerSaveFilaButton(obj, butt)
    butt.ButtonPushedFcn = @(src, evt)(buttonPushedCallback(obj.ndFilaEngn, src, evt));

    comg.Node.output("Enable Save-Filament-Button",...
            @(fila_engine)(enableComponent(butt, fila_engine)), ...
            obj.ndFilaEngn ...
        ).activate();
end

function enableComponent(component, fila_engine)
    flag_enable = ~(fila_engine.inFilamentTuningMode() || fila_engine.inFilamentCreatingMode());
    component.Enable = flag_enable;
end

function buttonPushedCallback(ndFilaEngn, src, evt)
    fprintf("Save Filament button pushed.\n");
    [filename, pathname] = uiputfile('*.mat', 'Save Filament Positions', 'filament_info.mat');
    if filename
        ndFilaEngn.value.fila_handle.saveToFile([pathname, filename]);
    end
end



