function registerTFAvgSurfButton(obj, butt)
    butt.ValueChangedFcn = @(src, evt)(valueChangedCallback( ...
        obj.ndStatSurfSymmAvg, src, evt));
    
    comg.Node.output("Enable Averaging-Surfaces-Button",...
            @(fila_engine, stat_free, rpvvalid)(enableComponent(butt, fila_engine, stat_free, rpvvalid)), ...
            obj.ndFilaEngn, obj.ndStatTFFree, obj.ndStatRpvValid ...
        ).activate();
end

function enableComponent(component, fila_engine, stat_free, rpvvalid)
    flag_enable = fila_engine.inFilamentTuningMode();
    flag_enable = flag_enable && stat_free;
    flag_enable = flag_enable && rpvvalid;

    component.Enable = flag_enable;
end

function valueChangedCallback(ndStatSurfSymmAvg, src, evt)
    fprintf('TF Surface Symmetrizing value changed to %d.\n', evt.Value);

    ndStatSurfSymmAvg.updateValue(evt.Value);
end


