function registerTFConfButton(obj, butt)
    butt.ButtonPushedFcn = @(src, evt)(buttonPushedCallback(obj.ndFilaEngn, ...
        obj.ndTFNewFilaPts, ...
        src, evt));

    comg.Node.output("Enable TF-Confirm-Button",...
            @(fila_engine, stat_free, stat_foc)(enableComponent(butt, fila_engine, stat_free, stat_foc)), ...
            obj.ndFilaEngn, obj.ndStatTFFree, obj.ndStatTFFoc ...
        ).activate();
end

function enableComponent(component, fila_engine, stat_free, stat_foc)
    flag_enable = fila_engine.inFilamentTuningMode();
    flag_enable = flag_enable && (stat_free || stat_foc);

    component.Enable = flag_enable;
end

function buttonPushedCallback(ndFilaEngn, ndTFNewFilaPts, src, evt)
    fprintf("TF Confirm button pushed.\n");

    ndFilaEngn.value.TF_updateAllPoint(ndTFNewFilaPts.value);
    ndFilaEngn.update();

end



