function registerTFDoneButton(obj, butt)
    butt.ButtonPushedFcn = @(src, evt)(buttonPushedCallback(obj.ndFilaEngn, src, evt));
    
    comg.Node.output("Enable TF-Donw-Button",...
            @(fila_engine, stat_free, stat_foc)(enableComponent(butt, fila_engine, stat_free, stat_foc)), ...
            obj.ndFilaEngn, obj.ndStatTFFree, obj.ndStatTFFoc ...
        ).activate();
end

function enableComponent(component, fila_engine, stat_free, stat_foc)
    flag_enable = fila_engine.inFilamentTuningMode();
    flag_enable = flag_enable && (stat_free || stat_foc);

    component.Enable = flag_enable;
end


function buttonPushedCallback(ndFilaEngn, src, evt)
    fprintf("TF Done button pushed.\n");

    ndFilaEngn.value.exitTuningFilamentMode();
    ndFilaEngn.update();
end





