function registerTFNextptButton(obj, butt)
    butt.ButtonPushedFcn = @(src, evt)(buttonPushedCallback(obj.ndFilaSecInd, ...
        obj.ndTFCurrPt, obj.ndTFCurrPtSpc, obj.ndTFFocPtInd,...
        obj.ndTFNewFilaPtLens.value, obj.ndTFCurrPtCyl.value, src, evt, obj));
    
    comg.Node.output("Enable TF-Next-Point-Button",...
            @(fila_engine, stat_free, stat_foc)(enableComponent(butt, fila_engine, stat_free, stat_foc)), ...
            obj.ndFilaEngn, obj.ndStatTFFree, obj.ndStatTFFoc ...
        ).activate();
end

function enableComponent(component, fila_engine, stat_free, stat_foc)
    flag_enable = fila_engine.inFilamentTuningMode();
    flag_enable = flag_enable && (stat_free || stat_foc);

    component.Enable = flag_enable;
end

function buttonPushedCallback(ndFilaSecInd, ndTFCurrPt, ndTFCurrPtSpc, ndTFFocPtInd, fila_ptlens, currpt_cyl, src, evt, obj)
    fprintf("TF Next Point button pushed.\n");

    next_ind = find(fila_ptlens > ceil(currpt_cyl(3)) + 1, 1);
    if isempty(next_ind)
        next_ind = numel(fila_ptlens);
    end

    obj.focusOnFilaPoint(next_ind);

end
