function registerTFPrevptButton(obj, butt)
    butt.ButtonPushedFcn = @(src, evt)(buttonPushedCallback(obj.ndFilaSecInd, ...
        obj.ndTFCurrPt, obj.ndTFCurrPtSpc, obj.ndTFFocPtInd,...
        obj.ndTFNewFilaPtLens.value, obj.ndTFCurrPtCyl.value, src, evt, obj));
    
    comg.Node.output("Enable TF-Prev-Point-Button",...
            @(fila_engine, stat_free, stat_foc)(enableComponent(butt, fila_engine, stat_free, stat_foc)), ...
            obj.ndFilaEngn, obj.ndStatTFFree, obj.ndStatTFFoc ...
        ).activate();
end

function enableComponent(component, fila_engine, stat_free, stat_foc)
    flag_enable = fila_engine.inFilamentTuningMode();
    flag_enable = flag_enable && (stat_free || stat_foc);

    component.Enable = flag_enable;
end

function buttonPushedCallback(ndFilaSecInd, ndTFCurrPt, ndTFCurrPtSpc, ndTFFocPtInd, fila_ptlens, currpt_cyl, src, evt, obj)
    fprintf("TF Previous Point button pushed.\n");

    next_ind = find(fila_ptlens < floor(currpt_cyl(3)) - 1, 1, 'last');
    if isempty(next_ind)
        next_ind = 1;
    end
    obj.focusOnFilaPoint(next_ind);
end
