function registerTFSetvaButton(obj, butt)
    butt.ButtonPushedFcn = @(src, evt)(buttonPushedCallback(...
        obj.ndTFStat, src, evt));
    
    comg.Node.output("Enable TF-Set-Vector-A-Button",...
            @(fila_engine, stat_free, stat_foc)(enableComponent(butt, fila_engine, stat_free, stat_foc)), ...
            obj.ndFilaEngn, obj.ndStatTFFree, obj.ndStatTFFoc ...
        ).activate();
end

function enableComponent(component, fila_engine, stat_free, stat_foc)
    flag_enable = fila_engine.inFilamentTuningMode();
    flag_enable = flag_enable && (stat_free || stat_foc);

    component.Enable = flag_enable;
end

function buttonPushedCallback(ndTFStat, src, evt)
    fprintf("TF Set Recip-Primitive Vector A button pushed.\n");

    ndTFStat.updateValue(helix.TomoFilamentUIManager.tf_stat_setting_va);
end


