function registerTFSurfFilterButton(obj, butt)
    butt.ValueChangedFcn = @(src, evt)(valueChangedCallback( ...
        obj.ndFlagFiltSurf, src, evt));
    
    comg.Node.output("Enable Filtering-Surfaces-Button",...
            @(fila_engine, stat_free, rpvvalid)(enableComponent(butt, fila_engine)), ...
            obj.ndFilaEngn ...
        ).activate();
end

function enableComponent(component, fila_engine)
    flag_enable = fila_engine.inFilamentTuningMode();

    component.Enable = flag_enable;
end

function valueChangedCallback(ndFlagFiltSurf, src, evt)
    fprintf('Filtering Surface value changed to %d.\n', evt.Value);

    ndFlagFiltSurf.updateValue(evt.Value);
end


