function flag = rpvValid(rpv1, rpv2)
    if isempty(rpv1) || isempty(rpv2)
        flag = false;
    elseif (norm(rpv1) < 1e-8) || (norm(rpv2) < 1e-8)
        flag = false;
    elseif norm(cross([rpv1(:);0], [rpv2(:);0])) < 1e-5
        flag = false;
    else
        flag = true;
    end
end