function vol = voltranslation(vol, tpxl, grid)
    % vol:  LxLxLxN
    % tpxl: 3xN
    % grid: {NxN, NxN}
    sz = size(vol);
    if length(sz) == 3
        sz = [sz, 1];
    end
    if ~exist('grid', 'var')
        grid = censystem(sz(1:3));
    end
    tx = reshape(tpxl(1,:),1,1,1,[]);
    ty = reshape(tpxl(2,:),1,1,1,[]);
    tz = reshape(tpxl(3,:),1,1,1,[]);
    ftvol = vol * 1j;
    for iv = 1:sz(4)
        ftvol(:,:,:,iv) = fftshift(fftn(ifftshift(vol(:,:,:,iv))));
    end
    ftvol = ftvol .* exp(-(1j*2*pi)*(tx./sz(1).*grid{1} + ty./sz(2).*grid{2} + tz./sz(3).*grid{3}));
%     vol = vol;
    for iv = 1:sz(4)
        vol(:,:,:,iv) = real(fftshift(ifftn(ifftshift(ftvol(:,:,:,iv)))));
    end
end


